
 LinHES - Bug # 1007: Upgrade disables VNC?

Status: Closed Priority: Low
Author: nigelpearson Category: Installation/Upgrade
Created: 01/25/2017 Assignee: brfransen
Updated: 05/08/2017 Due date:
Description: 8.4.2 install, first upgrade (via Service menu). After reboot, cannot VNC into box.

<pre>
Nigels-MacBook-Air% telnet 192.168.0.10 5902
Trying 192.168.0.10...
telnet: connect to address 192.168.0.10: Connection refused
telnet: Unable to connect to remote host
Nigels-MacBook-Air% 
Nigels-MacBook-Air% ssh 192.168.0.10 ps -ef | grep vnc
nigel@192.168.0.10's password: 
root       853   837  0 06:55 ?        00:00:20 runsv vnc
root       881   837  0 06:55 ?        00:00:02 runsv xvnc
mythtv   14634   881  2 10:25 ?        00:00:00 x11vnc -forever -rfbport 5902 --passwd
Nigels-MacBook-Air% ssh 192.168.0.10 "ls -l /var/log/vnc.log ; cat /var/log/vnc.log"
nigel@192.168.0.10's password: 
-rw-r--r-- 1 root root 31 Jan 26 10:33 /var/log/vnc.log
su: user vncsvc does not exist
Nigels-MacBook-Air%  
</pre>

Associated revisions
01/27/2017 11:13 pm - brfransen
tigervnc: add .install to create vncsvc user

add vncsvc sudo rules. refs #1007

History
01/25/2017 11:55 pm - nigelpearson
[nigel@mythtv-server tmp]$ egrep vnc /tmp/systemconfig_debug.log 
01-26 06:52 - root - DEBUG - ('vnc', False)
01-26 06:52 - root - DEBUG - ('xvncenable', '')
01-26 06:52 - root - DEBUG - ('xvncpassword', '')
01-26 06:52 - root - DEBUG - ('vncenable', '')
01-26 06:52 - root - DEBUG - ('vncpassword', '')
[nigel@mythtv-server tmp]$ 

Of course, after re-enabling Screen Sharing under LinHES, access is restored, but a small fault in the upgrade engine?

01/28/2017 05:49 pm - brfransen
- Assignee changed from jams to brfransen

I think there might be 2 different issues here, 1 with xvnc and 1 with vnc. From the first command it looks like you were trying to use xvnc but the log file 
is for vnc. Which were you trying to do?

There was an issue with vnc and the user not being created and that has been fixed in testing.
I can't recreate systemconfig losing the vnc settings though.  I did a R8.4.2 clean install, enabled vnc and xvnc in the install. Tested that it worked and 
then updated and both vnc and xvnc settings stayed the same. Did you enable vnc in the install or after install?

05/08/2017 08:19 pm - brfransen
- Status changed from New to Closed
